Skip to main content
GET
/
api
/
public
/
endpoints
/
{slug}
Get public endpoint payment metadata
curl --request GET \
  --url https://api.x402layer.cc/api/public/endpoints/{slug}
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "slug": "<string>",
  "mode": "<string>",
  "price": 123,
  "currency": "<string>",
  "wallet_address": "<string>",
  "chain": "<string>",
  "api_schema": {
    "baseUrl": "<string>",
    "routes": [
      {
        "path": "/users/{id}",
        "summary": "<string>",
        "parameters": [
          {
            "name": "<string>",
            "required": true,
            "description": "<string>",
            "example": "<string>"
          }
        ],
        "requestBody": {
          "fields": [
            {
              "name": "<string>",
              "required": true,
              "description": "<string>",
              "example": "<string>"
            }
          ],
          "example": "<string>"
        },
        "responseExample": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.x402layer.cc/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

slug
string
required

Response

Endpoint metadata

id
string<uuid>
name
string
slug
string
mode
string
price
number
currency
string
wallet_address
string
chain
string
api_schema
object

API schema describing available routes and parameters for this endpoint